Bug 430530 - (CVE-2006-1546) CVE-2006-1546 struts bypass validation
CVE-2006-1546 struts bypass validation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20060322,reported=20060323,sou...
: Security
Depends On: 187542
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 11:32 EST by Mark J. Cox (Product Security)
Modified: 2010-12-22 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 11:20:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-28 11:32:10 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-1546 to the following vulnerability:

Apache Software Foundation (ASF) Struts before 1.2.9 allows remote attackers to bypass validation via a request with a 'org.apache.struts.taglib.html.Constants.CANCEL' parameter, which causes the action to be canceled but would not be detected from applications that do not use the isCancelled check.

References:

http://mail-archives.apache.org/mod_mbox/struts-user/200601.mbox/%3c20060121221800.15814.qmail@web32607.mail.mud.yahoo.com%3e
http://mail-archives.apache.org/mod_mbox/struts-dev/200601.mbox/%3cdr169r$623$2@sea.gmane.org%3e
http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html
http://issues.apache.org/bugzilla/show_bug.cgi?id=38374
http://lists.suse.com/archive/suse-security-announce/2006-May/0004.html
http://www.securityfocus.com/bid/17342
http://www.frsirt.com/english/advisories/2006/1205
http://securitytracker.com/id?1015856
http://secunia.com/advisories/19493
http://secunia.com/advisories/20117
http://xforce.iss.net/xforce/xfdb/25612
Comment 1 Vincent Danen 2010-12-21 22:44:10 EST
This was addressed via:

Red Hat Application Server 3AS (RHSA-2006:0281)
Red Hat Application Server v2 4AS (RHSA-2006:0281)

Note You need to log in before you can comment on or make changes to this bug.